#define __write __ign_write
#include "libsys.h"
#undef __write

__mask(1) unsigned int __write(int f,const char *p,unsigned int len)
{
  unsigned int n=len;
  while(n){
   char c=*p++;
   if(c==10) c=13;
   __chrout(c);
   n--;
  }
  return len;
}
